OpenGLRaw-1.3.0.0: A raw binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.Raw.EXT.LightTexture

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the EXT_light_texture extension, see http://www.opengl.org/registry/specs/EXT/light_texture.txt.

Synopsis

- glApplyTexture :: GLenum -> IO ()
- glTextureLight :: GLenum -> IO ()
- glTextureMaterial :: GLenum -> GLenum -> IO ()
- gl_FRAGMENT_MATERIAL :: GLenum
- gl_FRAGMENT_NORMAL :: GLenum
- gl_FRAGMENT_DEPTH :: GLenum
- gl_FRAGMENT_COLOR :: GLenum
- gl_ATTENUATION :: GLenum
- gl_SHADOW_ATTENUATION :: GLenum
- gl_TEXTURE_APPLICATION_MODE :: GLenum
- gl_TEXTURE_LIGHT :: GLenum
- gl_TEXTURE_MATERIAL_FACE :: GLenum
- gl_TEXTURE_MATERIAL_PARAMETER :: GLenum

# Functions

glApplyTexture :: GLenum -> IO ()Source

glTextureLight :: GLenum -> IO ()Source

glTextureMaterial :: GLenum -> GLenum -> IO ()Source

# Tokens

gl_FRAGMENT_MATERIAL :: GLenum Source

gl_FRAGMENT_NORMAL :: GLenum Source

gl_FRAGMENT_DEPTH :: GLenum Source

gl_FRAGMENT_COLOR :: GLenum Source

gl_ATTENUATION :: GLenum Source

gl_SHADOW_ATTENUATION :: GLenum Source

gl_TEXTURE_APPLICATION_MODE :: GLenum Source

gl_TEXTURE_LIGHT :: GLenum Source

gl_TEXTURE_MATERIAL_FACE :: GLenum Source

gl_TEXTURE_MATERIAL_PARAMETER :: GLenum Source